<?php

/**
 * Twenty Twenty Theme: Block Patterns
 *
 * @package WordPress
 * @subpackage silkblogtr
 * @since silk blog tr 1.0
 */

/**
 * Register Block Pattern Category.
 */
if (function_exists('register_block_pattern_category')) {

    register_block_pattern_category(
        'silkblogtr',
        array('label' => __('Silk Blog', 'silk-blog-tr'))
    );
}

/**
 * Register Block Patterns.
 */
if (function_exists('register_block_pattern')) {
    register_block_pattern(
        'silkblogtr/our-team-silkblog',
        array(
            'title'      => __('Our Team', 'silk-blog-tr'),
            'categories' => array('silkblogtr'),
            'content'    => '<!-- wp:group {"style":{"color":{"background":"#d8edff"}},"className":"padding-vertical-large-1","layout":{"type":"flex","orientation":"vertical","justifyContent":"center"}} -->
            <div class="wp-block-group padding-vertical-large-1 has-background" style="background-color:#d8edff"><!-- wp:heading {"textAlign":"center"} -->
            <h2 class="has-text-align-center">Our Team</h2>
            <!-- /wp:heading -->
            
            <!-- wp:paragraph {"align":"center"} -->
            <p class="has-text-align-center">Get a virtual tour of the museum. Ideal for schools and events.</p>
            <!-- /wp:paragraph -->
            
            <!-- wp:columns -->
            <div class="wp-block-columns"><!-- wp:column {"width":"5%"} -->
            <div class="wp-block-column" style="flex-basis:5%"></div>
            <!-- /wp:column -->
            
            <!-- wp:column -->
            <div class="wp-block-column"><!-- wp:group {"layout":{"type":"constrained"}} -->
            <div class="wp-block-group"><!-- wp:image {"align":"center","id":718,"width":150,"height":150,"sizeSlug":"thumbnail","linkDestination":"media","className":"is-style-rounded"} -->
            <figure class="wp-block-image aligncenter size-thumbnail is-resized is-style-rounded">
            <img src="' . esc_url(get_stylesheet_directory_uri()) . '/assets/images/team.jpeg" alt="' . __('team', 'silk-blog-tr') . '" class="wp-image-718" width="150" height="150"/>
            </figure>
            <!-- /wp:image -->
            
            <!-- wp:paragraph -->
            <p></p>
            <!-- /wp:paragraph -->
            
            <!-- wp:heading {"textAlign":"center","level":6,"fontSize":"small"} -->
            <h6 class="has-text-align-center has-small-font-size"><strong>Designer</strong></h6>
            <!-- /wp:heading -->
            
            <!-- wp:heading {"textAlign":"center","level":4} -->
            <h4 class="has-text-align-center">Alice Qelvin</h4>
            <!-- /wp:heading -->
            
            <!-- wp:paragraph {"align":"center"} -->
            <p class="has-text-align-center">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut laborea aliqua. </p>
            <!-- /wp:paragraph --></div>
            <!-- /wp:group --></div>
            <!-- /wp:column -->
            
            <!-- wp:column -->
            <div class="wp-block-column"><!-- wp:group {"layout":{"type":"constrained"}} -->
            <div class="wp-block-group"><!-- wp:image {"align":"center","id":718,"width":150,"height":150,"sizeSlug":"thumbnail","linkDestination":"media","className":"is-style-rounded"} -->
            <figure class="wp-block-image aligncenter size-thumbnail is-resized is-style-rounded">
            <img src="' . esc_url(get_stylesheet_directory_uri()) . '/assets/images/team.jpeg" alt="' . __('team', 'silk-blog-tr') . '" class="wp-image-718" width="150" height="150"/>
            </figure>
            <!-- /wp:image -->
            
            <!-- wp:paragraph -->
            <p></p>
            <!-- /wp:paragraph -->
            
            <!-- wp:heading {"textAlign":"center","level":6,"fontSize":"small"} -->
            <h6 class="has-text-align-center has-small-font-size"><strong>Designer</strong></h6>
            <!-- /wp:heading -->
            
            <!-- wp:heading {"textAlign":"center","level":4} -->
            <h4 class="has-text-align-center">Alice Qelvin</h4>
            <!-- /wp:heading -->
            
            <!-- wp:paragraph {"align":"center"} -->
            <p class="has-text-align-center">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut laborea aliqua.</p>
            <!-- /wp:paragraph --></div>
            <!-- /wp:group --></div>
            <!-- /wp:column -->
            
            <!-- wp:column -->
            <div class="wp-block-column"><!-- wp:group {"layout":{"type":"constrained"}} -->
            <div class="wp-block-group"><!-- wp:image {"align":"center","id":718,"width":150,"height":150,"sizeSlug":"thumbnail","linkDestination":"media","className":"is-style-rounded"} -->
            <figure class="wp-block-image aligncenter size-thumbnail is-resized is-style-rounded">
            <img src="' . esc_url(get_stylesheet_directory_uri()) . '/assets/images/team.jpeg" alt="' . __('team', 'silk-blog-tr') . '" class="wp-image-718" width="150" height="150"/>
            </figure>
            <!-- /wp:image -->
            
            <!-- wp:paragraph -->
            <p></p>
            <!-- /wp:paragraph -->
            
            <!-- wp:heading {"textAlign":"center","level":6,"fontSize":"small"} -->
            <h6 class="has-text-align-center has-small-font-size"><strong>Designer</strong></h6>
            <!-- /wp:heading -->
            
            <!-- wp:heading {"textAlign":"center","level":4} -->
            <h4 class="has-text-align-center">Alice Qelvin</h4>
            <!-- /wp:heading -->
            
            <!-- wp:paragraph {"align":"center"} -->
            <p class="has-text-align-center">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut laborea aliqua. </p>
            <!-- /wp:paragraph --></div>
            <!-- /wp:group --></div>
            <!-- /wp:column -->
            
            <!-- wp:column {"width":"5%"} -->
            <div class="wp-block-column" style="flex-basis:5%"></div>
            <!-- /wp:column --></div>
            <!-- /wp:columns --></div>
            <!-- /wp:group -->',
        )
    );

    register_block_pattern(
        'silkblogtr/callto-with-button',
        array(
            'title'      => __('Call to action', 'silk-blog-tr'),
            'categories' => array('silkblogtr'),
            'content'    => ' <!-- wp:cover {"customGradient":"linear-gradient(171deg,rgba(6,147,227,1) 0%,rgb(155,81,224) 100%)","isDark":false,"align":"full","style":{"color":{"duotone":["#000000","#00a5ff"]},"spacing":{"padding":{"top":"50px","right":"30px","bottom":"50px","left":"30px"}}}} -->
            <div class="wp-block-cover alignfull is-light" style="padding-top:50px;padding-right:30px;padding-bottom:50px;padding-left:30px"><span aria-hidden="true" class="wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient" style="background:linear-gradient(171deg,rgba(6,147,227,1) 0%,rgb(155,81,224) 100%)"></span><div class="wp-block-cover__inner-container"><!-- wp:paragraph {"align":"center","style":{"spacing":{"padding":{"top":"0px","right":"0px","bottom":"15px","left":"0px"},"margin":{"top":"0px","bottom":"0px"}},"typography":{"fontStyle":"normal","fontWeight":"300"}},"textColor":"white"} -->
            <p class="has-text-align-center has-white-color has-text-color" style="margin-top:0px;margin-bottom:0px;padding-top:0px;padding-right:0px;padding-bottom:15px;padding-left:0px;font-style:normal;font-weight:300">Lorem ipsum dolor sit amet</p>
            <!-- /wp:paragraph -->
            
            <!-- wp:heading {"textAlign":"center","style":{"typography":{"fontStyle":"normal","fontWeight":"700","fontSize":"40px"},"spacing":{"padding":{"top":"0px","right":"0px","bottom":"25px","left":"0px"},"margin":{"top":"0px","bottom":"0px"}}},"textColor":"white"} -->
            <h2 class="has-text-align-center has-white-color has-text-color" style="margin-top:0px;margin-bottom:0px;padding-top:0px;padding-right:0px;padding-bottom:25px;padding-left:0px;font-size:40px;font-style:normal;font-weight:700">Exclusive Digital Services?</h2>
            <!-- /wp:heading -->
            
            <!-- wp:paragraph {"align":"center","style":{"typography":{"fontSize":"16px"},"spacing":{"padding":{"top":"0px","right":"0px","bottom":"40px","left":"0px"},"margin":{"top":"0px","bottom":"0px"}}},"textColor":"white"} -->
            <p class="has-text-align-center has-white-color has-text-color" style="margin-top:0px;margin-bottom:0px;padding-top:0px;padding-right:0px;padding-bottom:40px;padding-left:0px;font-size:16px">Lorem Ipsum is simply dummy text of the printing and type setting industry. Lorem Ipsum has been the industrys standard dummy text.</p>
            <!-- /wp:paragraph -->
            
            <!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center"},"style":{"spacing":{"blockGap":"0px","margin":{"top":"0px","bottom":"0px"}}}} -->
            <div class="wp-block-buttons" style="margin-top:0px;margin-bottom:0px"><!-- wp:button {"backgroundColor":"black","style":{"typography":{"fontStyle":"normal","fontWeight":"700","fontSize":"18px"},"spacing":{"padding":{"top":"10px","right":"35px","bottom":"10px","left":"35px"}},"border":{"radius":"50px"}}} -->
            <div class="wp-block-button has-custom-font-size" style="font-size:18px;font-style:normal;font-weight:700"><a class="wp-block-button__link has-black-background-color has-background wp-element-button" style="border-radius:50px;padding-top:10px;padding-right:35px;padding-bottom:10px;padding-left:35px">Learn More</a></div>
            <!-- /wp:button --></div>
            <!-- /wp:buttons --></div></div>
            <!-- /wp:cover -->
           ',
        )
    );
    register_block_pattern(
        'silkblogtr/latest-post-silkblog',
        array(
            'title'      => __('Latest Post', 'silk-blog-tr'),
            'categories' => array('silkblogtr'),
            'content'    => '<!-- wp:latest-posts {"postsToShow":1,"displayPostContent":true,"excerptLength":45,"displayPostDate":true,"displayFeaturedImage":true,"featuredImageAlign":"left","featuredImageSizeSlug":"medium"} /-->
           ',
        )
    );
}
